package com.casic.dcms.model;

import java.util.List;

public class MaintainRecordBean {

    private int code;
    private DataBean data;
    private String message;
    private boolean success;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public static class DataBean {

        private int total;
        private List<RowsBean> rows;

        public int getTotal() {
            return total;
        }

        public void setTotal(int total) {
            this.total = total;
        }

        public List<RowsBean> getRows() {
            return rows;
        }

        public void setRows(List<RowsBean> rows) {
            this.rows = rows;
        }

        public static class RowsBean {
            /**
             * bridgeId : 1
             * bridgeName : 永胜桥
             * category : 桥梁
             * code : 1624359572304
             * content : 日常养护，无异常
             * deptid : 1344110695992258561
             * description :
             * id : 1407292162033041409
             * latitude : 39.914705918747295
             * longitude : 116.26295490330527
             * maintainTime : 2021-06-22 00:00:00
             * maintainTimeStr : 2021-06-22
             * name :
             * personId : 1344179277212151809
             * personName :
             * phone :
             * status :
             * statusName :
             * tender :
             * tenderCompany :
             * ts : 2021-06-22
             * type :
             * typeName :
             */

            private String bridgeId;
            private String bridgeName;
            private String category;
            private String code;
            private String content;
            private String deptid;
            private String description;
            private String id;
            private String latitude;
            private String longitude;
            private String maintainTime;
            private String maintainTimeStr;
            private String name;
            private String personId;
            private String personName;
            private String phone;
            private String status;
            private String statusName;
            private String tender;
            private String tenderCompany;
            private String ts;
            private String type;
            private String typeName;

            public String getBridgeId() {
                return bridgeId;
            }

            public void setBridgeId(String bridgeId) {
                this.bridgeId = bridgeId;
            }

            public String getBridgeName() {
                return bridgeName;
            }

            public void setBridgeName(String bridgeName) {
                this.bridgeName = bridgeName;
            }

            public String getCategory() {
                return category;
            }

            public void setCategory(String category) {
                this.category = category;
            }

            public String getCode() {
                return code;
            }

            public void setCode(String code) {
                this.code = code;
            }

            public String getContent() {
                return content;
            }

            public void setContent(String content) {
                this.content = content;
            }

            public String getDeptid() {
                return deptid;
            }

            public void setDeptid(String deptid) {
                this.deptid = deptid;
            }

            public String getDescription() {
                return description;
            }

            public void setDescription(String description) {
                this.description = description;
            }

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getLatitude() {
                return latitude;
            }

            public void setLatitude(String latitude) {
                this.latitude = latitude;
            }

            public String getLongitude() {
                return longitude;
            }

            public void setLongitude(String longitude) {
                this.longitude = longitude;
            }

            public String getMaintainTime() {
                return maintainTime;
            }

            public void setMaintainTime(String maintainTime) {
                this.maintainTime = maintainTime;
            }

            public String getMaintainTimeStr() {
                return maintainTimeStr;
            }

            public void setMaintainTimeStr(String maintainTimeStr) {
                this.maintainTimeStr = maintainTimeStr;
            }

            public String getName() {
                return name;
            }

            public void setName(String name) {
                this.name = name;
            }

            public String getPersonId() {
                return personId;
            }

            public void setPersonId(String personId) {
                this.personId = personId;
            }

            public String getPersonName() {
                return personName;
            }

            public void setPersonName(String personName) {
                this.personName = personName;
            }

            public String getPhone() {
                return phone;
            }

            public void setPhone(String phone) {
                this.phone = phone;
            }

            public String getStatus() {
                return status;
            }

            public void setStatus(String status) {
                this.status = status;
            }

            public String getStatusName() {
                return statusName;
            }

            public void setStatusName(String statusName) {
                this.statusName = statusName;
            }

            public String getTender() {
                return tender;
            }

            public void setTender(String tender) {
                this.tender = tender;
            }

            public String getTenderCompany() {
                return tenderCompany;
            }

            public void setTenderCompany(String tenderCompany) {
                this.tenderCompany = tenderCompany;
            }

            public String getTs() {
                return ts;
            }

            public void setTs(String ts) {
                this.ts = ts;
            }

            public String getType() {
                return type;
            }

            public void setType(String type) {
                this.type = type;
            }

            public String getTypeName() {
                return typeName;
            }

            public void setTypeName(String typeName) {
                this.typeName = typeName;
            }
        }
    }
}
